GuideLab Docs

Get Checkout Payment Status

Resume a clinic's retained payment claim. One bounded Stripe read for an unsettled claim; never creates or confirms a payment.

POST
/checkout/payment-status

Resume a clinic's retained payment claim. One bounded Stripe read for an unsettled claim; never creates or confirms a payment.

Authorization

__Secure-guidelab-prod.session_token<token>

Production session cookie set for the guidelab.co domain by Better Auth

In: cookie

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

curl -X POST "https://example.com/checkout/payment-status" \  -H "Content-Type: application/json" \  -d '{    "labId": "string",    "paymentIntentId": "string",    "purpose": "order_payment"  }'
{  "providerStatus": "string",  "orderAutopayEnabled": true,  "clientSecret": "string",  "customerSessionClientSecret": "string",  "customerId": "string",  "paymentIntentId": "string",  "amount": 0,  "amountDisplay": "string",  "pricing": {    "subtotal": "string",    "discountPercent": "string",    "discountAmount": "string",    "taxMode": "none",    "taxAmount": "string",    "stampDutyAmount": "string",    "shippingAmount": "string",    "totalAmount": "string",    "payLaterTotal": "string"  },  "currency": "string",  "status": "string",  "convertedOrderId": "string",  "taxAmount": "string",  "taxMode": "none",  "taxIncludedInPrices": true,  "state": "succeeded",  "stripeAccountId": "string"}
Empty
Empty
Empty